%define name openal
%define version 0.0.6
%define release 2mdk
%define lib_name_orig libopenal
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Name: %{name}
Summary: 3D Sound  Library
Version: %{version}
Release: %{release}
License: LGPL
Source: openal-linuxonly-20010805.tar.bz2
#This is from the tarball w. the same date, with non-linux targets and demos removed.

Patch0: openal-build-patch0.diff.bz2
Patch1: openal-install-prefix-patch.diff.bz2
URL: http://www.openal.org
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

#main package (contains *.so.[major].* only)
%package -n %{lib_name}
Summary: Main library for OpenAL, a free 3D sound library.
Group: Sound
Provides: %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use OpenAL
Group: Development/C
BuildRequires: alsa-lib-devel

Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -n tmp/openal
%patch -p0
%patch1 -p0


%build
cd linux
sh ./autogen.sh
%configure --enable-alsa
%make

%install
cd linux
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -c  doc/openal.info $RPM_BUILD_ROOT/%{_infodir}
cd $RPM_BUILD_ROOT%{_libdir}
ln -sf %{lib_name_orig}.so.%{lib_major} %{lib_name_orig}.so


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}.info

%preun -n %{lib_name}-devel
%_remove_install_info %{name}.info

%postun -n %{lib_name} -p /sbin/ldconfig


%files -n %{lib_name}
%defattr(-,root,root,0755)
# ..
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
# ..
%{_includedir}/AL/*.h
%{_libdir}/*.so
%{_infodir}/openal.info.*

%changelog
* Tue Sep 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- added by Maksim Orlovich <mo002j@mail.rochester.edu> :
	- Fix the .so in the devel package.

* Sun Aug 05 2001 Maksim Orlovich <mo002j@mail.rochester.edu> 0.0.6-1mdk
-Initial Mandrake Package.
